%define upstream_name    MooseX-MarkAsMethods
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Mark overload code symbols as methods
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::EndOfScope)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::MetaRole)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
MooseX::MarkAsMethods allows one to easily mark certain functions as Moose
methods. This will allow other packages such as the namespace::autoclean
manpage to operate without blowing away your overloads. After using
MooseX::MarkAsMethods your overloads will be recognized by the Class::MOP
manpage as being methods, and class extension as well as composition from
roles with overloads will "just work".

By default we check for overloads, and mark those functions as methods.

If 'autoclean => 1' is passed to import on use'ing this module, we will
invoke namespace::autoclean to clear out non-methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json META.yml INSTALL LICENSE Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Mon Nov 07 2011 kharec <kharec> 0.140.0-1.mga2
+ Revision: 164780
- imported package perl-MooseX-MarkAsMethods


* Mon Nov 07 2011 cpan2dist 0.14-1mga
- initial mageia release, generated with cpan2dist
